Retrieve registrations
curl --request GET \
--url https://api.spacebring.com/registrations/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/registrations/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/registrations/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registrations": [
{
"blacklisted": true,
"createDate": "2023-11-07T05:31:56Z",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"photoUrl": "<string>",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"phoneNumber": "<string>",
"surname": "<string>"
},
"lastSeenDate": "2023-11-07T05:31:56Z",
"locationPermissions": {
"admins": true,
"allLocations": true,
"analytics": true,
"benefits": true,
"billing": true,
"bookings": true,
"customers": true,
"events": true,
"exclusiveLocations": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"feed": true,
"settings": true,
"shop": true,
"support": true
},
"termsConsentDate": "<string>"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Registrations
Retrieve registrations
Retrieve all registrations in network.
GET
/
registrations
/
v1
Retrieve registrations
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Response
OK
Show child attributes
Show child attributes
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?
⌘I